#

Function CHARACTERP

Syntax:

characterp object => generalized-boolean

Arguments and Values:

object---an object.

generalized-boolean---a generalized boolean.

Description:

Returns true if object is of type character; otherwise, returns false.

Examples:

     (characterp #\a) =>  true
     (characterp 'a) =>  false
     (characterp "a") =>  false
     (characterp 65.) =>  false
     (characterp #\Newline) =>  true
     ;; This next example presupposes an implementation
     ;; in which #\Rubout is an implementation-defined character.
     (characterp #\Rubout) =>  true

Affected By: None.

Exceptional Situations: None.

See Also:

character (type and function), typep

Notes:

     (characterp object) ==  (typep object 'character)

Copyright 1996-2005, LispWorks Ltd. All rights reserved.